Bug 313001 - Conflicts between libxslt-devel.x86_64 and libxslt-devel.i386
Conflicts between libxslt-devel.x86_64 and libxslt-devel.i386
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxslt (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 08:17 EDT by André Johansen
Modified: 2008-06-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description André Johansen 2007-09-30 08:17:53 EDT
+++ This bug was initially created as a clone of Bug #312991 +++

Description of problem:
On Fedora 7/x86-64, installing libxslt-devel.x86_64 and libxslt-devel.i386 
(for compiling 32 bit applications) causes conflicts.


Version-Release number of selected component (if applicable):
1.1.21-1.fc7

How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora 7/x86-64
2. Have libxslt-devel.x86_64 installed
3. yum install libxslt-devel.i386
  
Actual results:
Transaction Check Error:
  file /usr/bin/xslt-config from install of libxslt-devel-1.1.21-1.fc7 
conflicts with file from package libxslt-devel-1.1.21-1.fc7


Expected results:
The package should install to accommodate 64 and 32 bit development.

Additional info:
Comment 1 Ed Hill 2008-03-06 16:37:09 EST
This problem also exists in Fedora 8 for x86_64.
Comment 2 Daniel Veillard 2008-05-13 11:22:03 EDT
Either it's fixed or there is a problem with rpm, i can't see a diff with
current version, tested on a F8 x86_64 machine:

wei:~/tmp/i386 -> rpm2cpio ../../libxslt-devel-1.1.23-1.fc8.i386.rpm | cpio -id
2341 blocks
wei:~/tmp/i386 -> ls
usr/
wei:~/tmp/i386 -> vi usr/bin/xslt-config 
wei:~/tmp/i386 -> diff usr/bin/xslt-config /usr/bin/xslt-config
wei:~/tmp/i386 -> mkdir ../x86_64
wei:~/tmp/i386 -> cd  ../x86_64
wei:~/tmp/x86_64 -> rpm2cpio ../../libxslt-devel-1.1.23-1.fc8.x86_64.rpm | cpio -id
2604 blocks
wei:~/tmp/x86_64 -> diff usr/bin/xslt-config ../i386/usr/bin/xslt-config
wei:~/tmp/x86_64 -> 

if there is no diff at the file level, i really don't see what I could do
to silent rpm, really.
And i can't drop xslt-config/xml2-config since they are the only truly portable
way to detect libxml2 development presence across all platforms and 
installations.

Daniel
Comment 3 Bug Zapper 2008-05-14 10:34:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:32:35 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.